# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fluent-app"
version = "2.0.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Application entry point for FluentGUI: window chrome, title bar, FluentApp builder"
readme = false
keywords = [
    "gui",
    "fluent",
    "gpui",
    "app",
]
categories = ["gui"]
license = "Apache-2.0"
repository = "https://github.com/AusAgentSmith-org/fluent-gpui"

[lib]
name = "fluent_app"
path = "src/lib.rs"

[dependencies.fluent-core]
version = "2.1.0"

[dependencies.fluent-layout]
version = "2.1.0"

[dependencies.gpui]
version = "0.2.2"
